=== debian/changelog ===
blockdiff (0.1.0~git20211220.cc329c8-1) trixie; urgency=medium

  * Initial release

 -- Richard Oliver <richard.oliver@raspberrypi.com>  Fri, 19 Sep 2025 15:17:03 +0100
