=== debian/control ===
Source: blockdiff
Section: embedded
Priority: optional
Maintainer: Richard Oliver <richard.oliver@raspberrypi.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-setuptools,
 python3-all,
 pandoc,
Standards-Version: 4.7.2
Homepage: https://stefan.lengfeld.xyz/projects/blockdiff/

Package: blockdiff
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
Description: binary patch tool for block based file and disk formats
 blockdiff is a binary patch tool (similar to bsdiff). It operates on large
 blocks of bytes (typically ~4k) rather than individual bytes of data.
